System 2.0.0.0 4.0.0.0 System.ComponentModel.Win32Exception

This exception is thrown by the class and its associated classes when an error occurs during initialization of the or while creating or sending a response to an HTTP request. For example, this exception is thrown if the attempts to register a Uniform Resource Identifier (URI) prefix that is already registered.

The exception that is thrown when an error occurs processing an HTTP request.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the and properties using the most recent Windows error.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The value of is used to set the property.

  Initializes a new instance of the class using the specified error code.

  A value that identifies the error that occurred.
- Constructor
  2.0.0.0
  4.0.0.0

  The value of is used to set the property. The parameter is used to set the property.

  Initializes a new instance of the class using the specified error code and message.

  A value that identifies the error that occurred.
  A that describes the error that occurred.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified instances of the and classes.

  A object that contains the information required to deserialize the new object.
  A object.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This property returns the Windows error code associated with this exception.

  Gets a value that identifies the error that occurred.